Foreman - Bug #324

Don't try to read signed certs before cleaning with puppetca

06/14/2010 08:42 PM - Frank Sweetser

Status: Closed

Priority: Normal

Assignee: Ohad Levy

Category: Unattended installations

Target version: 0.1-6

Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:

Pull request:

Description

Foreman currently tries to read CA signed cert files before it calls puppetca to clean them. However, if foreman is not running as
either root or puppetmaster, it won't be able to read the ssl/ca/signed directory to check if the files exist or not. The test will always
declare the file doesn't exist, so certs will never be cleaned, breaking unattended builds.

This simple patch just makes the puppetca call unconditional.

Associated revisions

Revision ¢5¢f0596 - 06/17/2010 03:42 AM - Frank Sweetser

fixes #324 - Don't try to read CA signed certs as foreman user before cleaning with puppetrun

History

#1 - 06/17/2010 03:46 AM - Frank Sweetser
- Status changed from New to Ready For Testing
- % Done changed from 0 to 100

Applied in changeset c5cf0596e532481b417d604c002990ab4710d55d.

#2 - 06/17/2010 03:48 AM - Ohad Levy

- Target version set to 0.1-6

#3 - 06/18/2010 06:30 AM - Ohad Levy
- Status changed from Ready For Testing to Closed

Files

0001-Don-t-try-to-read-CA-signed-certs-as-foreman-user-be.patch 1.19 KB

05/14/2024

06/14/2010

Frank Sweetser

1/1



https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/c5cf0596e532481b417d604c002990ab4710d55d
http://www.tcpdf.org

